A callback is a notification request actively sent by the platform to the merchant regarding withdrawals or deposits. Upon receiving the notification, the merchant processes the appropriate business logic. Merchants should fully understand the callback rules and handle the callback data correctly. To learn more about the detailed callback mechanism, click here.Documentation Index
Fetch the complete documentation index at: https://docs-en.basswallet.com/llms.txt
Use this file to discover all available pages before exploring further.
Callback Request
- The callback request from the platform uses the same signature method and data structure as the API requests initiated by the merchant.
- If you need to authenticate and verify the callback signature, you can generate the callback API key/Secret in the merchant dashboard.
- Use the
webhookTypeparameter in the callback to determine whether it is a withdrawal or deposit callback. The content of the callback varies depending on the type. - For both receiving and sending payments, an order typically triggers two callbacks. Determine the type based on the
statusparameter in the callback:- When
statusisAwaitingConfirmation, it is the first callback. - When
statusisSuccessorFailed, it is the second callback.
- When
Callback Response
For callbacks, you need to respond with an HTTP status code200 without a response body. If the server is temporarily unavailable or the response status is not 200, the platform will retry the callback multiple times with increasing delay intervals. The number of retries is limited. If retries are exhausted and the callback fails, you can manually resend the callback from the “Transaction Callback” section in the merchant dashboard.